Skip to main content
POST
Post multiple orders

授权

POLY_API_KEY
string
header
必填

Your API key

POLY_ADDRESS
string
header
必填

Ethereum address associated with the API key

POLY_SIGNATURE
string
header
必填

HMAC signature of the request

POLY_PASSPHRASE
string
header
必填

API key passphrase

POLY_TIMESTAMP
string
header
必填

Unix timestamp of the request

请求体

application/json
Maximum array length: 15
order
object
必填

Order payload submitted to the CLOB API. In CLOB V2, expiration remains in the POST /order wire body for GTD/order-expiry handling, but it is not part of the EIP-712 signed order struct.

owner
string
必填

UUID of the API key owner

示例:

"f4f247b7-4ac7-ff29-a152-04fda0a8755a"

orderType
enum<string>
默认值:GTC

Time in force

可用选项:
GTC,
FOK,
GTD,
FAK
deferExec
boolean
默认值:false

Whether to defer execution

postOnly
boolean
默认值:false

Whether the order must rest on the book and not match immediately. Only supported for GTC and GTD orders.

响应

Orders successfully processed. Returns an array of order responses, one for each order in the request.

success
boolean
必填

Whether the order was successfully processed

示例:

true

orderID
string
必填

Unique identifier for the order (order hash)

示例:

"0xabcdef1234567890abcdef1234567890abcdef12"

status
enum<string>
必填

Status of the order after processing

可用选项:
live,
matched,
delayed
makingAmount
string

Amount the maker is providing in fixed-math with 6 decimals

示例:

"100000000"

takingAmount
string

Amount the taker is providing in fixed-math with 6 decimals

示例:

"200000000"

transactionsHashes
string[]

Array of transaction hashes (present when status is 'matched')

示例:
tradeIDs
string[]

Array of trade IDs (present when status is 'matched')

errorMsg
string

Error message (empty on success)

示例:

""